Skip to main content
A metadata taxonomy is a hierarchical classification system that helps organize and manage metadata within an enterprise.

Metadata taxonomies

A list of metadata taxonomies.
PropertyTypeRequiredDescription
limitintegerNoThe limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.
next_markerstringNoThe marker for the start of the next page of results. Can be null.
prev_markerstringNoThe marker for the start of the previous page of results. Can be null.
entriesarray of Metadata taxonomyNoA list of metadata taxonomies.
Example
{
  "limit": 1000,
  "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
  "prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
  "entries": [
    {
      "id": "822227e0-47a5-921b-88a8-494760b2e6d2",
      "key": "geography",
      "displayName": "Geography",
      "namespace": "enterprise_123456",
      "levels": [
        {
          "displayName": "Continent",
          "description": "Continent",
          "level": 1
        }
      ]
    }
  ]
}

Metadata taxonomy

A taxonomy object for metadata that can be used in metadata templates.
PropertyTypeRequiredDescription
idstringYesA unique identifier of the metadata taxonomy.
keystringNoA unique identifier of the metadata taxonomy. The identifier must be unique within the namespace to which it belongs.
displayNamestringYesThe display name of the metadata taxonomy. This can be seen in the Box web app.
namespacestringYesA namespace that the metadata taxonomy is associated with.
levelsarray of Metadata taxonomy levelNoLevels of the metadata taxonomy.
Example
{
  "id": "822227e0-47a5-921b-88a8-494760b2e6d2",
  "key": "geography",
  "displayName": "Geography",
  "namespace": "enterprise_123456",
  "levels": [
    {
      "displayName": "Continent",
      "description": "Continent",
      "level": 1
    }
  ]
}

Metadata taxonomy level

A level in the metadata taxonomy represents a hierarchical category within the taxonomy structure.
PropertyTypeRequiredDescription
displayNamestringNoThe display name of the level as it is shown to the user.
descriptionstringNoA description of the level.
levelintegerNoAn index of the level within the taxonomy. Levels are indexed starting from 1.
Example
{
  "displayName": "Continent",
  "description": "Continent",
  "level": 1
}

Metadata taxonomy levels

Levels in the metadata taxonomy represent hierarchical categories within the taxonomy structure.
PropertyTypeRequiredDescription
entriesarray of Metadata taxonomy levelNoAn array of all taxonomy levels.
Example
{
  "entries": [
    {
      "displayName": "Continent",
      "description": "Continent",
      "level": 1
    }
  ]
}

Metadata taxonomy node

A node object for metadata taxonomy that can be used in metadata templates.
PropertyTypeRequiredDescription
idstringYesA unique identifier of the metadata taxonomy node.
displayNamestringYesThe display name of the metadata taxonomy node.
levelintegerYesAn index of the level to which the node belongs.
parentIdstringNoThe identifier of the parent node.
nodePatharray of stringNoAn array of identifiers for all ancestor nodes. Not returned for root-level nodes.
ancestorsarray of Metadata taxonomy ancestorNoAn array of objects for all ancestor nodes. Not returned for root-level nodes.
Example
{
  "id": "14d3d433-c77f-49c5-b146-9dea370f6e32",
  "displayName": "France",
  "level": 2,
  "parentId": "99df4513-7102-4896-8228-94635ee9d330",
  "nodePath": [
    "99df4513-7102-4896-8228-94635ee9d330"
  ],
  "ancestors": [
    {
      "id": "14d3d433-c77f-49c5-b146-9dea370f6e32",
      "displayName": "France",
      "level": 2
    }
  ]
}

Metadata taxonomy nodes

A list of metadata taxonomy nodes.
PropertyTypeRequiredDescription
limitintegerNoThe limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.
next_markerstringNoThe marker for the start of the next page of results. Can be null.
prev_markerstringNoThe marker for the start of the previous page of results. Can be null.
entriesarray of Metadata taxonomy nodeNoA list of metadata taxonomy nodes.
Example
{
  "limit": 1000,
  "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
  "prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
  "entries": [
    {
      "id": "14d3d433-c77f-49c5-b146-9dea370f6e32",
      "displayName": "France",
      "level": 2,
      "parentId": "99df4513-7102-4896-8228-94635ee9d330",
      "nodePath": [
        "99df4513-7102-4896-8228-94635ee9d330"
      ],
      "ancestors": [
        {
          "id": "14d3d433-c77f-49c5-b146-9dea370f6e32",
          "displayName": "France",
          "level": 2
        }
      ]
    }
  ]
}
Last modified on July 9, 2026